Package tigase.xmpp

## Class ElementMatcher

- java.lang.Object
- - tigase.xmpp.ElementMatcher

-     public class ElementMatcher
      extends java.lang.Object

  Author:
    andrzej

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ElementMatcher​(java.lang.String[] path, boolean checkChildren, java.lang.String xmlns, java.lang.String[][] attributes, boolean value)` |
    `ElementMatcher​(java.lang.String[] path, java.lang.String xmlns, boolean value)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ElementMatcher` | `create​(java.lang.String str)` |
    `boolean` | `getValue()` |
    `boolean` | `matches​(Packet packet)` |
    `protected boolean` | `matches​(Element child)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementMatcher

          public ElementMatcher​(java.lang.String[] path,
                                java.lang.String xmlns,
                                boolean value)

    - #### ElementMatcher

          public ElementMatcher​(java.lang.String[] path,
                                boolean checkChildren,
                                java.lang.String xmlns,
                                java.lang.String[][] attributes,
                                boolean value)

  - ### Method Detail

    - #### create

          public static ElementMatcher create​(java.lang.String str)

    - #### matches

          public boolean matches​(Packet packet)

    - #### matches

          protected boolean matches​(Element child)

    - #### getValue

          public boolean getValue()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`